INTEGRITY Cloudflare Docs

Outages

Cloudflare Radar Outage Center (CROC) provides data on outages occurring around the world.

Refer the blog post for more information but, in short, Radar provides the following information:

List of endpoints

Outages

Example: Get outages in the last 7 days

curl "https://api.cloudflare.com/client/v4/radar/annotations/outages?limit=5&offset=0&dateRange=7d&format=json" \
--header "Authorization: Bearer <API_TOKEN>"
{
	"success": true,
	"errors": [],
	"result": {
		"annotations": [
			{
				"dataSource": "ALL",
				"description": null,
				"scope": "Multiple regions/cities",
				"startDate": "2022-10-25T00:00:00Z",
				"endDate": null,
				"locations": ["UA"],
				"asns": [],
				"eventType": "OUTAGE",
				"linkedUrl": "https://www.npr.org/2022/10/22/1130742768/ukraine-power-grid-outages-record-damage",
				"outage": {
					"outageCause": "POWER_OUTAGE",
					"outageType": "REGIONAL"
				}
			},
			{
				"dataSource": "ALL",
				"description": null,
				"scope": "Multiple cities in Florida",
				"startDate": "2022-09-28T19:00:00Z",
				"endDate": "2022-11-02T00:00:00Z",
				"locations": ["US"],
				"asns": [],
				"eventType": "OUTAGE",
				"linkedUrl": "https://x.com/CloudflareRadar/status/1575229448353349632",
				"outage": {
					"outageCause": "WEATHER",
					"outageType": "REGIONAL"
				}
			}
		]
	}
}

Refer to the API reference for more information regarding this endpoint.

Having data on a given outage allows you to examine its impact through both NetFlows (like in the Tonga outage and others) and HTTP data (for example, did the outage affect more mobile than desktop traffic?).